> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List FDX authorization requests

> > 🚧 Beta
> This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.

Get paginated list of FDX authorization requests




## OpenAPI

````yaml openapi-v1.json get /fdx_auth_requests
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /fdx_auth_requests:
    summary: FDX authorization requests
    get:
      tags:
        - Plaid Core Exchange (beta)
      summary: List FDX authorization requests
      description: >
        > 🚧 Beta

        > This is a Beta endpoint. Feedback from the community is welcome. We
        may make breaking changes to this endpoint.


        Get paginated list of FDX authorization requests
      operationId: listFDXAuthRequests
      parameters:
        - $ref: '#/components/parameters/page_token'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fdx_auth_request_list'
          description: List of FDX authorization requests
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
  schemas:
    fdx_auth_request_list:
      allOf:
        - properties:
            fdx_auth_requests:
              description: Array of FDX authorization requests
              items:
                $ref: '#/components/schemas/fdx_auth_request_response'
              type: array
          required:
            - fdx_auth_requests
          type: object
        - $ref: '#/components/schemas/paginated_response'
      title: FDX authorization request list response
    fdx_auth_request_response:
      properties:
        business_id:
          $ref: '#/components/schemas/fdx_business_id'
        code:
          $ref: '#/components/schemas/fdx_auth_code'
        creation_time:
          description: The date and time the authorization request was created.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        customer_id:
          $ref: '#/components/schemas/fdx_customer_id'
        expiry_time:
          description: The date and time the authorization request will expire.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          $ref: '#/components/schemas/fdx_auth_request_id'
        last_updated_time:
          description: The date and time the authorization request was last udpated.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        oauth2_state:
          $ref: '#/components/schemas/fdx_auth_request_oauth2_state'
        redirect_uri:
          $ref: '#/components/schemas/fdx_auth_request_redirect_uri'
        status:
          $ref: '#/components/schemas/fdx_auth_request_status'
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - id
        - status
      title: FDX authorization request response object
      type: object
    paginated_response:
      properties:
        next_page_token:
          description: >-
            If returned, use the next_page_token to query for the next page of
            results. Not returned if there are no more rows.
          example: a8937a0d
          type: string
      title: Paginated List response
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    fdx_business_id:
      description: >
        The UUID of the business associated with the FDX token. One of
        customer_id or business_id must be provided.
      title: FDX business ID
      type: string
    fdx_auth_code:
      description: |
        authorization code returned to Plaid after user completes auth steps
      title: code
      type: string
    fdx_customer_id:
      description: >
        The UUID of the customer associated with the FDX token. One of
        customer_id or business_id must be provided.
      title: FDX customer ID
      type: string
    fdx_auth_request_id:
      description: |
        The ID of the FDX authorization request.
      format: uuid
      title: FDX authorization request ID
      type: string
    fdx_auth_request_oauth2_state:
      description: |
        OAuth2 state, an opaque string to be returned to Plaid
      format: uuid
      title: FDX OAuth2 state
      type: string
    fdx_auth_request_redirect_uri:
      description: |
        URI to redirect to after successful authorization.
      title: FDX OAuth2 state
      type: string
    fdx_auth_request_status:
      description: >
        The status of the authorization request.

        The initial value is PENDING.

        This can be changed to GRANTED or DENIED using the
        /fdx_auth_requests/authorize endpoint.

        The status automatically changes to USED when the authorization code is
        used to create an access token.

        Note that an auth request in any of these states may have expired.
      enum:
        - DENIED
        - GRANTED
        - PENDING
        - USED
      title: FDX authorization request status
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
  responses:
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````